__gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 >(3cxx)

NAME
__gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 > - An SGI extension .

SYNOPSIS

#include <functional>

Inherits __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >.

  Public Types

typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions

constant_binary_fun (const _Result &__v)
const result_type & operator() (const _Arg1 &, const _Arg2 &) const

  Public Attributes

_Result _M_val

Detailed Description

  template<class _Result, class _Arg1 = _Result, class _Arg2 = _Arg1>
struct __gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 >"An SGI extension .

Definition at line 320 of file ext/functional.

Member Typedef Documentation

  template<class _Result , class _Arg1 , class _Arg2 > typedef _Arg1 __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >::first_argument_type [inherited]

Definition at line 275 of file ext/functional.

  template<class _Result , class _Arg1 , class _Arg2 > typedef _Result __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >::result_type [inherited]

Definition at line 277 of file ext/functional.

  template<class _Result , class _Arg1 , class _Arg2 > typedef _Arg2 __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >::second_argument_type [inherited]

Definition at line 276 of file ext/functional.

Constructor & Destructor Documentation

  template<class _Result , class _Arg1 = _Result, class _Arg2 = _Arg1> __gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 >::constant_binary_fun (const _Result & __v) [inline]

Definition at line 323 of file ext/functional.

Member Function Documentation

  template<class _Result , class _Arg1 , class _Arg2 > const result_type & __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >::operator() (const _Arg1 &, const _Arg2 &) const [inline], [inherited]

Definition at line 283 of file ext/functional.

Member Data Documentation

  template<class _Result , class _Arg1 , class _Arg2 > _Result __gnu_cxx::_Constant_binary_fun< _Result, _Arg1, _Arg2 >::_M_val [inherited]

Definition at line 278 of file ext/functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.